## ros-rolling-turtlesim 1.4.1

=== debian/changelog ===
ros-rolling-turtlesim (1.4.1-1focal) focal; urgency=high

  * Use ``double`` when handling ``qreal orient\_`` (#114 <https://github.com/ros/ros_tutorials/issues/114>)
  * Add Rolling Icon (#133 <https://github.com/ros/ros_tutorials/issues/133>)
  * Contributors: Katherine Scott, Seulbae Kim

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 14 Jan 2022 08:00:00 -0000

ros-rolling-turtlesim (1.4.0-1focal) focal; urgency=high

  * Update maintainers to Audrow Nash and Michael Jeronimo (#137 <https://github.com/ros/ros_tutorials/issues/137>)
  * Fixing deprecated subscriber callback warnings (#134 <https://github.com/ros/ros_tutorials/issues/134>)
  * Use rosidl_get_typesupport_target() (#132 <https://github.com/ros/ros_tutorials/issues/132>)
  * Print out the correct node name on startup. (#122 <https://github.com/ros/ros_tutorials/issues/122>)
  * Contributors: Abrar Rahman Protyasha, Audrow Nash, Chris Lalancette, Shane Loretz

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 18 Nov 2021 08:00:00 -0000

ros-rolling-turtlesim (1.3.3-1focal) focal; urgency=high

  * Added galactic turtle icon. (#123 <https://github.com/ros/ros_tutorials/issues/123>)
  * Heavily cleanup teleop_turtle_key. (#121 <https://github.com/ros/ros_tutorials/issues/121>)
  * Contributors: Chris Lalancette, Katherine Scott

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 21 May 2021 07:00:00 -0000

ros-rolling-turtlesim (1.3.2-1focal) focal; urgency=high

  * Ignore key up events in teleop_turtle_key on Windows (#118 <https://github.com/ros/ros_tutorials/issues/118>)
  * Contributors: Michel Hidalgo

 -- Mabel Zhang <mabel@openrobotics.org>  Fri, 16 Apr 2021 07:00:00 -0000

ros-rolling-turtlesim (1.3.1-1focal) focal; urgency=high

  * Update maintainers (#106 <https://github.com/ros/ros_tutorials/issues/106>)
  * Contributors: Shane Loretz

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 10 Dec 2020 08:00:00 -0000

ros-rolling-turtlesim (1.3.0-1focal) focal; urgency=high

  * Update goal response callback signature (#100 <https://github.com/ros/ros_tutorials/issues/100>)
  * Contributors: Jacob Perron

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 21 Sep 2020 07:00:00 -0000

ros-rolling-turtlesim (1.2.5-1focal) focal; urgency=high

  * add holonomic motion for turtlesim (#98 <https://github.com/ros/ros_tutorials/issues/98>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 05 Aug 2020 07:00:00 -0000

ros-rolling-turtlesim (1.2.4-1focal) focal; urgency=high

  * add step value to turtlesim color parameters (#91 <https://github.com/ros/ros_tutorials/issues/91>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 12 Jun 2020 07:00:00 -0000

ros-rolling-turtlesim (1.2.3-1focal) focal; urgency=high

  * update Foxy turtle (#90 <https://github.com/ros/ros_tutorials/issues/90>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 05 Jun 2020 07:00:00 -0000

ros-rolling-turtlesim (1.2.2-1focal) focal; urgency=high

  * add Foxy turtle (#89 <https://github.com/ros/ros_tutorials/issues/89>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 03 Jun 2020 07:00:00 -0000

ros-rolling-turtlesim (1.2.1-1focal) focal; urgency=high

  * Fix Qt deprecation warning (#88 <https://github.com/ros/ros_tutorials/issues/88>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 02 Jun 2020 07:00:00 -0000

ros-rolling-turtlesim (1.2.0-1focal) focal; urgency=high

  * Replace deprecated launch_ros usage (#84 <https://github.com/ros/ros_tutorials/issues/84>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 01 May 2020 07:00:00 -0000

ros-rolling-turtlesim (1.1.1-1focal) focal; urgency=high

  * catch reference to fix -Wcatch-value warning (#78 <https://github.com/ros/ros_tutorials/issues/78>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 16 Apr 2020 07:00:00 -0000

ros-rolling-turtlesim (1.1.0-1focal) focal; urgency=high

  * Eloquent Elusor turtle icon (#77 <https://github.com/ros/ros_tutorials/issues/77>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 12 Nov 2019 08:00:00 -0000

ros-rolling-turtlesim (1.0.2-1focal) focal; urgency=high

  * separate background color from drawn paths, trigger repaint on parameter changes (#75 <https://github.com/ros/ros_tutorials/issues/75>)
  * add descriptor information for background color parameters (#73 <https://github.com/ros/ros_tutorials/issues/73>)
  * Fix Windows compiler warning (#69 <https://github.com/ros/ros_tutorials/issues/69>)
  * Change log messages to use 'goal' instead of 'action' (#67 <https://github.com/ros/ros_tutorials/issues/67>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 23 Oct 2019 07:00:00 -0000

ros-rolling-turtlesim (1.0.1-1focal) focal; urgency=high

  * fix mimic tutorial node (#65 <https://github.com/ros/ros_tutorials/issues/65>)
  * fix syntax error in teleop_turtle_key.cpp on Windows (#66 <https://github.com/ros/ros_tutorials/issues/66>)
  * add RotateAbsolute action (#62 <https://github.com/ros/ros_tutorials/issues/62>)
  * fix typo in error message (#64 <https://github.com/ros/ros_tutorials/issues/64>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 02 Oct 2019 07:00:00 -0000

ros-rolling-turtlesim (1.0.0-1focal) focal; urgency=high

  * replace images with ROS 2 turtles (#60 <https://github.com/ros/ros_tutorials/issues/60>)
  * add shortcut to quit teleop (#58 <https://github.com/ros/ros_tutorials/issues/58>)
  * fix compiler warnings on Windows (#57 <https://github.com/ros/ros_tutorials/issues/57>)
  * add support for Windows (#56 <https://github.com/ros/ros_tutorials/issues/56>)
  * various fixes for ROS 2 (#55 <https://github.com/ros/ros_tutorials/issues/55>)
  * turtlesim for ROS 2 (#53 <https://github.com/ros/ros_tutorials/issues/53>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 24 Sep 2019 07:00:00 -0000

ros-rolling-turtlesim (0.9.1-1focal) focal; urgency=high

  * change formula to avoid rounding with extreme input values (#51 <https://github.com/ros/ros_tutorials/issues/51>)

