## ros-rolling-turtlesim 1.7.3

=== debian/changelog ===
ros-rolling-turtlesim (1.7.3-1jammy) jammy; urgency=high

  * Remove the unused member variable last_state_ (#156 <https://github.com/ros/ros_tutorials/issues/156>)
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 07 Sep 2023 00:00:00 -0000

ros-rolling-turtlesim (1.7.2-1jammy) jammy; urgency=high

  * Added common tests (#154 <https://github.com/ros/ros_tutorials/issues/154>)
  * Heavy cleanup of the draw_square tutorial. (#152 <https://github.com/ros/ros_tutorials/issues/152>)
    * Heavy cleanup of the draw_square tutorial.
    In particular:
    1. Make it conform to the current ROS 2 style.
    2. Add in copyright information.
    3. Refactor the entire code into a class, which tidies it
    up quite a bit and removes a bunch of globals.
    4. Make sure to wait for the reset to complete before trying
    to move the turtle.
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 05 Jun 2023 00:00:00 -0000

ros-rolling-turtlesim (1.7.1-1jammy) jammy; urgency=high

  * Remove the range constraints from the holonomic parameter. (#150 <https://github.com/ros/ros_tutorials/issues/150>)
  * Add icon (#148 <https://github.com/ros/ros_tutorials/issues/148>)
  * Contributors: Chris Lalancette, Yadu

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 11 May 2023 00:00:00 -0000

ros-rolling-turtlesim (1.7.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 28 Apr 2023 00:00:00 -0000

ros-rolling-turtlesim (1.6.0-1jammy) jammy; urgency=high

  * Update turtlesim to C++17. (#146 <https://github.com/ros/ros_tutorials/issues/146>)
  * [rolling] Update maintainers - 2022-11-07 (#145 <https://github.com/ros/ros_tutorials/issues/145>)
  * Contributors: Audrow Nash, Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 14 Feb 2023 00:00:00 -0000

ros-rolling-turtlesim (1.5.0-1jammy) jammy; urgency=high

  * Add parameter to enable holonomic motion (#131 <https://github.com/ros/ros_tutorials/issues/131>)
  * Add humble turtle (#140 <https://github.com/ros/ros_tutorials/issues/140>)
  * Contributors: Audrow Nash, Daisuke Sato

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 13 Sep 2022 00:00:00 -0000

ros-rolling-turtlesim (1.4.1-1jammy) jammy; urgency=high

  * Use ``double`` when handling ``qreal orient\_`` (#114 <https://github.com/ros/ros_tutorials/issues/114>)
  * Add Rolling Icon (#133 <https://github.com/ros/ros_tutorials/issues/133>)
  * Contributors: Katherine Scott, Seulbae Kim

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 14 Jan 2022 00:00:00 -0000

ros-rolling-turtlesim (1.4.0-1jammy) jammy; urgency=high

  * Update maintainers to Audrow Nash and Michael Jeronimo (#137 <https://github.com/ros/ros_tutorials/issues/137>)
  * Fixing deprecated subscriber callback warnings (#134 <https://github.com/ros/ros_tutorials/issues/134>)
  * Use rosidl_get_typesupport_target() (#132 <https://github.com/ros/ros_tutorials/issues/132>)
  * Print out the correct node name on startup. (#122 <https://github.com/ros/ros_tutorials/issues/122>)
  * Contributors: Abrar Rahman Protyasha, Audrow Nash, Chris Lalancette, Shane Loretz

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 18 Nov 2021 00:00:00 -0000

ros-rolling-turtlesim (1.3.3-1jammy) jammy; urgency=high

  * Added galactic turtle icon. (#123 <https://github.com/ros/ros_tutorials/issues/123>)
  * Heavily cleanup teleop_turtle_key. (#121 <https://github.com/ros/ros_tutorials/issues/121>)
  * Contributors: Chris Lalancette, Katherine Scott

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 21 May 2021 00:00:00 -0000

ros-rolling-turtlesim (1.3.2-1jammy) jammy; urgency=high

  * Ignore key up events in teleop_turtle_key on Windows (#118 <https://github.com/ros/ros_tutorials/issues/118>)
  * Contributors: Michel Hidalgo

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 16 Apr 2021 00:00:00 -0000

ros-rolling-turtlesim (1.3.1-1jammy) jammy; urgency=high

  * Update maintainers (#106 <https://github.com/ros/ros_tutorials/issues/106>)
  * Contributors: Shane Loretz

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 10 Dec 2020 00:00:00 -0000

ros-rolling-turtlesim (1.3.0-1jammy) jammy; urgency=high

  * Update goal response callback signature (#100 <https://github.com/ros/ros_tutorials/issues/100>)
  * Contributors: Jacob Perron

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 21 Sep 2020 00:00:00 -0000

ros-rolling-turtlesim (1.2.5-1jammy) jammy; urgency=high

  * add holonomic motion for turtlesim (#98 <https://github.com/ros/ros_tutorials/issues/98>)

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 05 Aug 2020 00:00:00 -0000

ros-rolling-turtlesim (1.2.4-1jammy) jammy; urgency=high

  * add step value to turtlesim color parameters (#91 <https://github.com/ros/ros_tutorials/issues/91>)

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 12 Jun 2020 00:00:00 -0000

ros-rolling-turtlesim (1.2.3-1jammy) jammy; urgency=high

  * update Foxy turtle (#90 <https://github.com/ros/ros_tutorials/issues/90>)

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 05 Jun 2020 00:00:00 -0000

ros-rolling-turtlesim (1.2.2-1jammy) jammy; urgency=high

  * add Foxy turtle (#89 <https://github.com/ros/ros_tutorials/issues/89>)

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 03 Jun 2020 00:00:00 -0000

ros-rolling-turtlesim (1.2.1-1jammy) jammy; urgency=high

  * Fix Qt deprecation warning (#88 <https://github.com/ros/ros_tutorials/issues/88>)

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 02 Jun 2020 00:00:00 -0000

ros-rolling-turtlesim (1.2.0-1jammy) jammy; urgency=high


