=== debian/control ===
Source: ros-rolling-turtlesim
Section: misc
Priority: optional
Maintainer: Alejandro Hernandez Cordero <alejandro@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), qt5-qmake, qtbase5-dev, ros-rolling-ament-cmake, ros-rolling-ament-index-cpp, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-geometry-msgs, ros-rolling-rclcpp, ros-rolling-rclcpp-action, ros-rolling-rosidl-default-generators, ros-rolling-std-msgs, ros-rolling-std-srvs, ros-rolling-ros-workspace, ros-rolling-rosidl-typesupport-fastrtps-c, ros-rolling-rosidl-typesupport-fastrtps-cpp
Homepage: http://www.ros.org/wiki/turtlesim
Standards-Version: 3.9.2

Package: ros-rolling-turtlesim
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5core5a, libqt5gui5, ros-rolling-ament-index-cpp, ros-rolling-geometry-msgs, ros-rolling-rclcpp, ros-rolling-rclcpp-action, ros-rolling-rosidl-default-runtime, ros-rolling-std-msgs, ros-rolling-std-srvs, ros-rolling-ros-workspace
Description: turtlesim is a tool made for teaching ROS and ROS packages.
